Bug 26617 - keyboard layouts discarded after plugging USB mouse
: keyboard layouts discarded after plugging USB mouse
Status: REOPENED
: Simply Linux
(All bugs in Simply Linux/bugs)
: 7.0.3
: all Linux
: P3 major
Assigned To:
:
:
:
: 25196
:
  Show dependency tree
 
Reported: 2011-11-24 03:41 by
Modified: 2016-05-05 21:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-24 03:41:52
Observed in installed Simply Linux 6.0 beta and in the live system from the DVD
of Simply Linux 6.0.1RC2:

after plugging (in? or also out?) a USB mouse the layout can not be switched
any more in X with the dedicated key combination, as described in #21034.

The cure is to execute /etc/X11/xinit/fixkeyboard (I've put a notice about this
near the computer).
------- Comment #1 From 2011-12-02 15:31:50 -------
I don't sure that it is exactly corresponds to the bug #21034.
I can't reproduce it with USB mouse, only with USB keyboard.
Please try reproduce this with thunar-volman-plugin-0.6.0-alt3.M60P.1 and
xfce4-settings-4.8.3-alt0.M60P.2.
------- Comment #2 From 2011-12-07 03:58:19 -------
(In reply to comment #1)
> I can't reproduce it with USB mouse, only with USB keyboard.

Yes, now I can reproduce it only with USB keyboard, and not with a USB mouse,
but I'm quite sure it happened with mouse, too, perhaps on Simply Linux 6.0beta
or some other distro...

> Please try reproduce this with thunar-volman-plugin-0.6.0-alt3.M60P.1 and
> xfce4-settings-4.8.3-alt0.M60P.2.

Ok, I'll try; now I have older releases:

thunar-volman-plugin-0.6.0-alt2.M60P.1
xfce4-settings-4.8.3-alt0.M60P.1

from Simply Linux 6.0.1RC2.
------- Comment #3 From 2011-12-07 05:14:54 -------
Yes, with these new packages switching the layouts after unplugging and
plugging a USB keyboard works. (Although it looks like a hack -- the fix is not
on the appropriate, window-manager-independent level.)

Are they included in a published Simply Linux distro? (Then this bug could be
closed.)
------- Comment #4 From 2011-12-07 18:18:23 -------
(В ответ на комментарий №3)
> Yes, with these new packages switching the layouts after unplugging and
> plugging a USB keyboard works. (Although it looks like a hack -- the fix is not
> on the appropriate, window-manager-independent level.)

Yes, it is a workaround. I don't know how do it in another way.

> Are they included in a published Simply Linux distro? (Then this bug could be
> closed.)

It will be in the next RC, of course.
------- Comment #5 From 2015-02-19 19:27:30 -------
https://bugzilla.altlinux.org/show_bug.cgi?id=21034#c24

В p7 на Simply Linux проблема проявляется так:

у меня запущен Xfce на 7-ой консоли (втыкание USB-наушников не портит заметно
раскладку).

Теперь заходит пользователь (в моём случае -- другой, но это вряд ли важно) на
первой консоли, делает startx, работает Xfce на 8-ой консоли.

Когда мы на 8-ой консоли, втыкаем USB-наушники. В Xfce на 8-ой консоли
раскладка заметно не портится.

Но переключаемся на 7-ую консоль с Xfce, там русская раскладка слетела!

Нужно более чистое исправление.
------- Comment #6 From 2015-02-19 19:29:24 -------
(В ответ на комментарий №4)

> Yes, it is a workaround. I don't know how do it in another way.

> It will be in the next RC, of course.

Thank you! It worked, until now when the case described above was discovered.